---
updatedAt: 2025-11-11T00:09:33.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Get Refund Info

This endpoint allows you to retrieve the details of a refund using the refund reference.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "invoice",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://qa.interswitchng.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/paymentgateway/api/v1/refunds?refundReference={reference}": {
      "get": {
        "summary": "Get Refund Info",
        "description": "This endpoint allows you to retrieve the details of a refund using the refund reference.",
        "operationId": "get-refund-info",
        "parameters": [
          {
            "name": "refundReference",
            "in": "query",
            "description": "The unique reference for the refund.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Set value to \"Bearer <token>\"",
            "schema": {
              "type": "string",
              "default": "Bearer eyJhbGciOiJSUzI1NiJ9.eyJhdWQiOlsiaXN3LWNvbGxlY3Rpb25zIiwiaXN3LXBheW1lbnRnYXRld2F5IiwicGFzc3BvcnQiLCJwcm9qZWN0LXgtbWVyY2hhbnQiLCJ2YXVsdCJdLCJtZXJjaGFudF9jb2RlIjoiTVg2MDcyIiwicmVxdWVzdG9yX2lkIjoiMTIzODA4NTk1MDMiLCJzY29wZSI6WyJwcm9maWxlIl0sImp0aSI6IjVkOTczM2Y5LWMzNDEtNGFjZC04ZjE3LWViYzUyYWE0NjM2MiIsInBheWFibGVfaWQiOiIzMzU5NyIsImNsaWVudF9pZCI6IklLSUFCMjNBNEUyNzU2NjA1QzFBQkMzM0NFM0MyODdFMjcyNjdGNjYwRDYxIn0.ElgBX2KoF9LuUUpeBGzzp8CDAllTHWfgM6pJRgTtPYGJpoZufKlJrmE4QTvZV6MIVaNtK21majTgR4qXJr7CEkPK_4zCIHyN2b8a445vqhLYcbffQvK4EeUn_RzsWTmub2bruG5s4bRS1il5itPR0QQ-trEsbELU7TAHvC4p786RiAQd-K_I0bwtLzIXQN65jlw3eJxxK-BGfca-OMTUo9HGvraebfLB-7h4-vNbPred58gfLBSwK31jaLP19cMRc5Jea28jrlmGNUhHGzjnP7ZanqgC9uuvoepQsa39_DNBonR6xirxKw4aNlNLcKOTn026wyOTHIHUGlDQ3s3AOQ"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "description": "Set value to \"application/json\"",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "// When a refund is not found, it returns a HTTP 200 with nothing in the response body.\n {\n  \"id\":  12,\n  \"refundReference\":  \"kjsd3138shdsauhdsgdie9322saud0q\",\n  \"parentPaymentId\":  3077027,\n  \"parentTransactionReference\":  \"172ea8e8-7070\",\n  \"refundType\":  \"PARTIAL\",\n  \"refundAmount\":  1000,\n  \"createdDate\":  1484147875893,\n  \"merchantCustomerId\":  \"RefundCustomer\",\n  \"refundStatus\":  \"FAILED\",\n  \"processedDate\":  1487766904267,\n  \"createdBy\":  \"mecode@sharklasers.com\",\n  \"reasonForRefund\":  \"Nada\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 12,
                      "default": 0
                    },
                    "refundReference": {
                      "type": "string",
                      "example": "kjsd3138shdsauhdsgdie9322saud0q"
                    },
                    "parentPaymentId": {
                      "type": "integer",
                      "example": 3077027,
                      "default": 0
                    },
                    "parentTransactionReference": {
                      "type": "string",
                      "example": "172ea8e8-7070"
                    },
                    "refundType": {
                      "type": "string",
                      "example": "PARTIAL"
                    },
                    "refundAmount": {
                      "type": "integer",
                      "example": 1000,
                      "default": 0
                    },
                    "createdDate": {
                      "type": "integer",
                      "example": 1484147875893,
                      "default": 0
                    },
                    "merchantCustomerId": {
                      "type": "string",
                      "example": "RefundCustomer"
                    },
                    "refundStatus": {
                      "type": "string",
                      "example": "FAILED"
                    },
                    "processedDate": {
                      "type": "integer",
                      "example": 1487766904267,
                      "default": 0
                    },
                    "createdBy": {
                      "type": "string",
                      "example": "mecode@sharklasers.com"
                    },
                    "reasonForRefund": {
                      "type": "string",
                      "example": "Nada"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```